### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
MCDiscreteAveragingAsianEngine< RNG, S > Class Template Reference
Asian option engines

Pricing engine for discrete average Asians using Monte Carlo simulation. More...

`#include <ql/pricingengines/asian/mcdiscreteasianengine.hpp>`

Inheritance diagram for MCDiscreteAveragingAsianEngine< RNG, S >:
[legend]

List of all members.

## Public Types

typedef McSimulation < SingleVariate, RNG, S > ::path_generator_type | path_generator_type
typedef McSimulation < SingleVariate, RNG, S > ::path_pricer_type | path_pricer_type
typedef McSimulation < SingleVariate, RNG, S > ::stats_type | stats_type

## Public Member Functions

| MCDiscreteAveragingAsianEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, bool brownianBridge, bool antitheticVariate, bool controlVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)
void | calculate () const

## Protected Member Functions

TimeGrid | timeGrid () const
boost::shared_ptr < path_generator_type > | pathGenerator () const
Real | controlVariateValue () const

## Protected Attributes

boost::shared_ptr < GeneralizedBlackScholesProcess > | process_
Size | requiredSamples_
Size | maxSamples_
Real | requiredTolerance_
bool | brownianBridge_
BigNatural | seed_

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCDiscreteAveragingAsianEngine< RNG, S >

Pricing engine for discrete average Asians using Monte Carlo simulation.

Warning:
  control-variate calculation is disabled under VC++6.